/* ttt-client.c - client handling code for tic-tac-toe game server
 *
 * Copyright © 2005 Carl Worth
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Carl Worth <cworth@cworth.org>
 */

#include "ttt.h"

#ifndef _TTT_CLIENT_H_
#define _TTT_CLIENT_H_

#define TTT_CLIENT_BUF_SIZE 1024

/* Create a new client and start a new thread to handle all requests
 * from the client. */
void
ttt_client_new (void *closure, int client_socket);

/* Send a message to a client.
 *
 * Locking: The client mutex will be acquired and held throughout the
 * execution of this function.
 *
 * Errors: If an IO error occurs, this function will not return.
 */
void
ttt_client_send (ttt_client_t *client, const char *message);

/* Get a client's unique ID. */
int
ttt_client_get_id (ttt_client_t *client);

#endif /* _TTT_CLIENT_H_ */
